function [ obalka ] = genobalky( prubeh, T, fs ) 

pokles=((prubeh.^2).^(1/2))
pokles=10*log(pokles/max(abs(pokles)))
hodnotyvetsi=find(pokles > -50)
hranice_45dB=max(abs(hodnotyvetsi))

Tfast=0.01 %[s]=10ms
Nfast=Tfast*fs/10 %[vzorky]

for i=1:1:floor(length(prubeh(1,1:hranice_45dB))/Nfast)
tlak_Nfast=(prubeh(1,(i-1)*Nfast+1:Nfast*i)).^2

hladina_tlaku=sum(tlak_Nfast)/Nfast
L(1,(i-1)*Nfast+1:Nfast*i)=hladina_tlaku
end

%prevod poklesu do logaritmickeho meritka
obalka = 10 * log10(L/max(abs(L)));
hodnotyvetsi=find(obalka > -45)
hranice_45dB=max(abs(hodnotyvetsi))
obalka=obalka(1,1:hranice_45dB)

end

